
Figure - Bug #116272
测试 Test-ST # 114575 (New): V5.0功能测试票

测试 Test-ST # 114579 (New): GameMode

【AF】【EVT】【游戏模式】GPU设置切换，标准模式下同一模式的切换也会有提示弹框，并结束后台运行
的游戏进程
2023-02-15 17:59 - CD TEST-方永红

Status: CLOSED Start date: 2023-02-15

Priority: High Due date: 2023-02-17

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VC1_FSE_0078_20230228

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302150106

Resolution: FIXED Degrated: --

Severity: Major Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302180012

Reproducibility: Every time Fixed Version: 2023-02-20

Test Type: ST Root cause: 问题原因：��设置GPU模式类型时，未针对RadioButton的点击事件做检查逻辑，导致出现了重复修改的弹窗��问题修改：��增加判断逻辑，避免重复弹窗

Description

【前提条件】

1、设备正常启动

2、当前GPU设置为标准模式-品质优先

【测试步骤】

1、打开游戏模式

2、打开游戏

3、进入设置——游戏模式GPU设置

4、再次点击标准模式-品质优先

【预期结果】

4、无提示弹窗，且不结束游戏的后台进程

【实际结果】

4、标准模式下同一模式的切换也会有提示弹框，并结束正常在运行的游戏

【复现率】

3/3

PS:最大帧率时再次点击最大帧率选项也有同样的现象

History

#1 - 2023-02-15 19:17 - CD FW 曹覃刚

- Due date set to 2023-02-17

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW王武军

#2 - 2023-02-17 10:28 - CD TPM-王祥林

- Target version set to VC1_FSE_0078_20230228

#3 - 2023-02-17 15:49 - CD FW王武军

【】当前状态

2025-07-04 1/2



确认问题现象，本地复现问题

【】问题原因

设置GPU模式类型时，未针对RadioButton的点击事件做检查逻辑，出现了重复修改的问题。

【】处理策略

添加针对Preference的检查逻辑，避免重复弹窗

#4 - 2023-02-17 18:09 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

182580 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wujun.wang@thundersoft.com

AF:GameMode: fix dialog repeated showAdd logic to check current Preference's object andstate, avoid repeated confirm.TC-RID: 1201-0204803IssueID:

TS-R-BUG-116272Change-Id: I4c7693f68be30f1557f6c23f8d27a95ab29306b0

#5 - 2023-02-17 18:11 - CD FW王武军

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW王武军 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-02-20

- Root cause set to 问题原因：

设置GPU模式类型时，未针对RadioButton的点击事件做检查逻辑，导致出现了重复修改的弹窗

问题修改：

增加判断逻辑，避免重复弹窗

#6 - 2023-02-17 18:12 - CD FW王武军

- % Done changed from 0 to 100

#7 - 2023-02-20 10:55 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302180012

2.20

验证通过

#8 - 2023-02-20 10:55 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190078 2023-02-15 17-56-44.mp4 19.7 MB 2023-02-15 CD TEST-方永红
